#include <iostream>
#include <string>
#include "../Include/FileReader.h"
#include "../Include/FileHelper.h"
#include "../Include/NumberHelper.h"

int main(int argc, char *argv[]) {
    if(argc < 2) {
        std::cerr << "Please provide a CSV formatted file.";
        return 0;
    }
    
    if(!FileHelper::FileExists(argv[1])) {
        std::cerr << "Filepath: " << argv[1] << " doesn't exist.";
        return 0;
    }
    
    std::string file = FileReader::GetFile(argv[1]);

    std::vector<int> numbers = NumberHelper::GetNumbers(file);
    
    for(int i = 0; i < numbers.size(); i++) {
        std::cout << numbers[i] << ' ';
    }
    
    return 0;
}
